Bug 1450106 - Pop-up with usercase occur if press "Edit" button after log collection via dropbox
Pop-up with usercase occur if press "Edit" button after log collection via dr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Dávid Halász
Oleksii Tsuman
log_collect:distributed
: TestOnly, ZStream
Depends On:
Blocks: 1460033
  Show dependency treegraph
 
Reported: 2017-05-11 10:28 EDT by Oleksii Tsuman
Modified: 2018-03-06 10:01 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1460033 (view as bug list)
Environment:
Last Closed: 2018-03-06 10:01:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2017-05-24 04:33:44 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/f1a6023b6e5d009257b2956ebec351895f6effc6

commit f1a6023b6e5d009257b2956ebec351895f6effc6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue May 23 11:27:30 2017 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue May 23 18:39:32 2017 +0200

    Fixed prompt for log collection by reorganizing button inheritance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1450106

 app/helpers/application_helper/button/collect_logs.rb         |  3 ++-
 app/helpers/application_helper/button/diagnostics_logs.rb     |  7 -------
 app/helpers/application_helper/button/log_depot_edit.rb       |  7 +++++++
 app/helpers/application_helper/button/logs.rb                 |  6 ------
 .../application_helper/button/mixins/button_prompt_mixin.rb   |  6 ++++++
 app/helpers/application_helper/button/zone_collect_logs.rb    |  3 ++-
 app/helpers/application_helper/button/zone_log_depot_edit.rb  |  7 -------
 .../application_helper/toolbar/diagnostics_server_center.rb   |  2 +-
 .../application_helper/toolbar/diagnostics_zone_center.rb     |  2 +-
 .../application_helper/buttons/diagnostics_logs_spec.rb       |  8 --------
 .../helpers/application_helper/buttons/log_depot_edit_spec.rb |  8 ++++++++
 .../application_helper/buttons/zone_log_depot_edit_spec.rb    | 11 -----------
 12 files changed, 27 insertions(+), 43 deletions(-)
 delete mode 100644 app/helpers/application_helper/button/diagnostics_logs.rb
 create mode 100644 app/helpers/application_helper/button/log_depot_edit.rb
 delete mode 100644 app/helpers/application_helper/button/logs.rb
 create mode 100644 app/helpers/application_helper/button/mixins/button_prompt_mixin.rb
 delete mode 100644 app/helpers/application_helper/button/zone_log_depot_edit.rb
 delete mode 100644 spec/helpers/application_helper/buttons/diagnostics_logs_spec.rb
 create mode 100644 spec/helpers/application_helper/buttons/log_depot_edit_spec.rb
 delete mode 100644 spec/helpers/application_helper/buttons/zone_log_depot_edit_spec.rb
Comment 5 Oleksii Tsuman 2017-10-19 15:25:09 EDT
verified in 5.9.0.2.20171010190026_0413a06

Note You need to log in before you can comment on or make changes to this bug.